header {
  width: 100%;
  height: 100vh;
  background-color: var(--primary);
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 10px;
}

@media (max-width: 800px) {
  header {
    height: auto;
  }
}

h1 {
  font-size: 128px;
  font-family: var(--main-title-font);
  text-align: center;
  transition: font-size 1s;
}

@media (max-width: 1150px) {
  h1 {
    font-size: 84px;
  }
}

@media (max-width: 800px) {
  h1 {
    font-size: 64px;
  }
}

.header-container {
  max-width: 650px;
  background-color: var(--light-primary);
  border-radius: 25px;
  padding: 40px 0px 40px 40px;
  border: 5px solid white;
  display: flex;
  justify-content: space-between;
  gap: 30px;
  overflow: hidden;
}

@media (max-width: 800px) {
  .header-container {
    flex-direction: column-reverse;
    max-width: 100%;
    padding: 20px;

    border-radius: 0;
    border-left: none;
    border-right: none;
  }
}

.header-text p {
  font-size: 20px;
  margin-bottom: 5px;
  text-align: justify;
}

.project-grid-subtitle {
  font-style: italic;
}

.header-right {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  gap: 10px;
  margin-right: -10px;
}

.social {
  display: flex;
  align-items: center;
}

.social a {
  border: 5px solid white;
  border-radius: 50%;
  display: flex;
  padding: 5px;
  justify-content: center;
  align-items: center;
  height: 50px;
  width: 50px;
}

.social img {
  height: 25px;
}

.social-bar {
  height: 5px;
  background-color: white;
  width: 50px;
}

@media (max-width: 800px) {
  .header-right {
    flex-direction: row;
    justify-content: center;
    gap: 15px;
  }

  .social-bar {
    display: none;
  }
}

.portefolio-link {
  display: flex;
  flex-direction: column;
  text-decoration: none;
  color: black;
  font-size: 25px;
  font-weight: 900;
  border: 5px solid white;
  border-radius: 25px;
  background-color: var(--light-primary);
  padding: 10px;
}

@media (max-width: 800px) {
  .portefolio-link {
    margin-bottom: 20px;
  }
}

.portefolio-link img {
  height: 30px;
}

main {
  min-height: 100vh;
  display: flex;
}

main .left {
  background-color: var(--primary);
  width: var(--left-col-size);
}

.white-bg {
  min-height: 100vh;
  padding-top: 50px;
  padding-bottom: 50px;
  flex: 1;
}

.project {
  display: flex;
  align-items: center;
  gap: 10px;
  margin-top: 50px;
  list-style-position: inside;
}

.project:nth-child(even) {
  flex-direction: row-reverse;
}

.project-genre {
  font-size: 20px;
  font-weight: 400;
}

@media (max-width: 800px) {
  .project {
    flex-direction: column !important;
  }
}

.project img {
  width: 200px;
  border-radius: 5px;
}

@media (max-width: 800px) {
  .project img {
    width: 100%;
  }
}

.project:nth-child(even) > div {
  width: 100%;
}

.project h3 {
  font-size: 30px;
  margin-bottom: 5px;
}

@media (max-width: 800px) {
  .project h3 {
    text-align: center;
  }
}

.project h3 a {
  color: black;
  text-decoration: none;
}

.project h3 a:hover {
  text-decoration: underline;
}

.project .project-subtitle {
  font-size: 18px;
  font-style: italic;
  margin-bottom: 10px;
}

@media (max-width: 800px) {
  .project .project-subtitle {
    text-align: center;
  }
}

/* Other Project */

.project-galery {
  display: flex;
  justify-content: center;
  gap: 10px;
  margin-top: 50px;
  flex-wrap: wrap;
}

@media (max-width: 800px) {
  .project-galery {
    flex-direction: column;
    align-items: center;
    padding: 0 10px;
  }
}

.project-grid {
  display: flex;
  flex-direction: column;
  align-items: center;
}

@media (max-width: 800px) {
  .project-grid {
    width: 100%;
  }
}

.project-grid img {
  height: 150px;
  border-radius: 5px;
}

@media (max-width: 800px) {
  .project-grid img {
    width: 100%;
    height: auto;
  }
}

.project-grid .project-title {
  font-size: 20px;
  margin-top: 10px;
  font-weight: 700;
}

.project-grid .project-title a {
  color: black;
  text-decoration: none;
}

.project-grid .project-title a:hover {
  text-decoration: underline;
}

/* Footer */
.footer-separator {
  display: flex;
}

.footer-separator .left {
  background-color: var(--primary);
  width: var(--left-col-size);
  --line-color: white;
}

.footer-separator .right {
  flex: 1;
  --line-color: var(--primary);
}

.footer-separator .small-line {
  width: 100%;
  height: 2px;
  background-color: var(--line-color);
}

.footer-separator .big-line {
  margin-top: 3px;
  width: 100%;
  height: 5px;
  background-color: var(--line-color);
}

footer {
  display: flex;
}

footer .left {
  background-color: var(--primary);
  width: var(--left-col-size);
}

footer .icon-container {
  flex: 1;
  display: flex;
  justify-content: center;
  margin-top: 20px;
  margin-bottom: 20px;
  gap: 20px;
}

.f-social {
  display: flex;
  align-items: center;
}

.f-social a {
  border: 5px solid var(--primary);
  border-radius: 50%;
  display: flex;
  padding: 5px;
  justify-content: center;
  align-items: center;
  height: 50px;
  width: 50px;
}

.f-social img {
  height: 25px;
}
